﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Diagnostics;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using Sample___Interstitial_Ads.Resources;
using SOMAWP8;

namespace Sample___Interstitial_Ads
{
    public partial class MainPage : PhoneApplicationPage
    {
        SomaInterstitialAd interstitialAd;

        // Constructor
        public MainPage()
        {
            InitializeComponent();

            // insatatiate the Soma Interstitial Ad Class
            interstitialAd = new SomaInterstitialAd();

            // set the properties of the ad
            interstitialAd.Adspace = 130020101;
            interstitialAd.Pub = 1001000008;
            interstitialAd.NewAdAvailable += interstitialAd_NewAdAvailable;
            interstitialAd.AdClick += interstitialAd_AdClick;
            interstitialAd.AdClosed += interstitialAd_AdClosed;
        }

        void interstitialAd_AdClosed(object sender, EventArgs e)
        {
            Debug.WriteLine("The Ad was Closed");
        }

        void interstitialAd_AdClick(object sender, EventArgs e)
        {
            Debug.WriteLine("The Ad was Clicked");
        }

        void interstitialAd_NewAdAvailable(object sender, EventArgs e)
        {
            // display the ad
            interstitialAd.ShowInterstitial();
        }

        private void buttonGetAd_Tap(object sender, System.Windows.Input.GestureEventArgs e)
        {
            // retrieve an ad
            interstitialAd.LoadInterstitial();
        }
    }
}